Subject: bug#33398: 26.1, netbsd-8; Hi Lock Faces, Hi Green B, default setting suggestion

From: Van L <[email-masked]>
Date: Fri, 23 Nov 2018 11:56:04 +1100

> There is one palette in vc-annotate-color-map, but it doesn't look good
> when used for highlighting.

Also, for me, where default face is black/gray (fore/background) 
the mouse button one-to-three transient highlight doesn’t look good.
It is something dark which makes the black text hard to read.

> 
>>>>> The same way as hi-yellow is defined to use yellow, and hi-green
>>>>> to use green, we can define hi-blue to use blue color, and
>>>>> hi-pink to use red color.  This will free cyan and magenta
>>>>> to use.
>>> 
>>> I guess there are no hi-magenta and hi-cyan faces because
>>> Isearch uses the magenta color for the current match and the
>>> cyan color for lazy-highlighted matches.
>>> 
>>> But OTOH, on TTY magenta and cyan are used from hi-pink and hi-blue,
>>> and there is no problem, so we can define two new hi-lock faces.
> 
> The existing hi-blue face's color "light blue" is closer to the existing
> lazy-highlight face's color "paleturquoise" than to the new hi-cyan
> face's color "DarkSlateGray1" proposed in the patch below, 

Thanks. 'DarkSlateGray1' is a totally unexpected cyan.

Will the patch need to wait years before if backprops from 27 to 26.x release?